Garrett Honeycutt

ghoneycutt

12,651 downloads

6,296 latest version

4.3 quality score

Version information

  • 2.5.0 (latest)
  • 2.4.0
  • 2.3.0
  • 2.2.0
  • 2.1.0
  • 1.0.0
released Mar 9th 2017
This version is compatible with:
  • Puppet Enterprise >= 3.0.0 < 5.0.0
  • Puppet >= 3.0.0 < 5.0.0
  • AIX, Debian, RedHat, CentOS, OracleLinux, Scientific, Solaris, SLES, SLED, Ubuntu, Windows

Start using this module

Documentation

ghoneycutt/utils — version 2.5.0 Mar 9th 2017

puppet-module-utils

This module manages arbitrary installation of utilities.

Takes no action if no packages are specified.

Build Status

===

Compatibility

Systems with package repositories that only need the name of the packages passed to the package resource. Meant to work with Puppet v3 with and without the future parser and Puppet v4 with Ruby versions 1.8.7, 1.9.3, 2.0.0, 2.1.0 and 2.3.1.

===

Parameters

packages

Array of packages to install.

  • Default: 'UNSET'

provider

String to denote name of provider.

  • Default: undef

enable_hiera_array

Boolean to enable the use hiera_array to lookup variable packages

  • Default: false